Package wx :: Class DatePickerCtrl

[frames | no frames]

## Type DatePickerCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
            DatePickerCtrlBase --+
                                 |
                                DatePickerCtrl

Known Subclasses:
  `GenericDatePickerCtrl`

This control allows the user to select a date. Unlike `wx.calendar.CalendarCtrl`, which is a relatively big control, `wx.DatePickerCtrl` is implemented as a small window showing the currently selected date. The control can be edited using the keyboard, and can also display a popup window for more user-friendly date selection, depending on the styles used and the platform.

# Styles

> wx.DP_SPIN | Creates a control without month calendar drop down but with spin control-like arrows to change individual date components. This style is not supported by the generic version.
> wx.DP_DROPDOWN | Creates a control with a month calendar drop down part from which the user can select a date.
> wx.DP_DEFAULT | Creates a control with default style which is the best supported for the current platform (currently wx.DP_SPIN under Windows and wx.DP_DROPDOWN elsewhere).
> wx.DP_ALLOWNONE | With this style, the control allows the user to not enter any valid date at all. Without it -- which is by default -- the control always has some valid date.
> wx.DP_SHOWCENTURY | Forces display of the century in the default date format. Without this flas the century could be displayed or not depending on the default date representation in the system.

# Events

> EVT_DATE_CHANGED | This event fires when the user changes the current selection in the control.

See Also:

`wx.calendar.CalendarCtrl`, `wx.DateEvent`

Method Summary
DatePickerCtrl | ``__init__`(self, parent, id, dt, pos, size, style, validator, name)` Create a new DatePickerCtrl.
bool | ``Create`(self, parent, id, dt, pos, size, style, validator, name)` Create the GUI parts of the DatePickerCtrl, for use in 2-phase creation.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, dt=wxDefaultDateTime, pos=DefaultPosition, size=DefaultSize, style=wxDP_DEFAULT|wxDP_SHOWCENTURY, validator=DefaultValidator, name=DatePickerCtrlNameStr)
(Constructor)

Create a new DatePickerCtrl.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `dt`
    (type=DateTime)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    DatePickerCtrl
  Overrides:
    `wx.DatePickerCtrlBase.__init__`

### Create(self, parent, id=-1, dt=wxDefaultDateTime, pos=DefaultPosition, size=DefaultSize, style=wxDP_DEFAULT|wxDP_SHOWCENTURY, validator=DefaultValidator, name=DatePickerCtrlNameStr)

Create the GUI parts of the DatePickerCtrl, for use in 2-phase creation.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `dt`
    (type=DateTime)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:33 2009 | http://epydoc.sf.net